export declare function parseLatex(value: string): {
    type: string;
    content: any;
};
export * from './macros.js';
type Pos = {
    offset?: number;
    line?: number;
    column?: number;
};
type Position = {
    start?: Pos;
    end?: Pos;
};
type LatexNode = {
    type: string;
    content?: string | LatexNode[];
    position?: Position;
} & Record<string, any>;
export declare function walkLatex(node: LatexNode): LatexNode | {
    content: any;
    type: string;
    position?: Position | undefined;
};
interface IState {
    readonly value: string;
    write(str: string | undefined): void;
    addWhitespace(): void;
    openFunction(command: string): void;
    closeFunction(): void;
}
export declare function writeTypst(node: LatexNode, state?: IState): IState;
export declare function texToTypst(value: string): string;
